/*-
 * Copyright (c) 1999 Morita Shinya.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *	$Id: event.h,v 1.2 1999/11/06 01:07:49 shinmaru Exp $
 */

#ifndef event_H
#define event_H

#define STATUS_FINAL			0	/* 켫 */
#define STATUS_AFTER_QUADRUPLET		1	/* 弫 */
#define STATUS_4_WINDS			2	/* Ϣ */
#define STATUS_4_QUADRUPLETS		3	/* ʻλ */
#define STATUS_4_PEOPLE_READY		4	/* ͲΩľ */
#define STATUS_CONTINUE_DEALER		5	/* ήϢ */
#define STATUS_CARRY_STICKS		6	/* ήѤ߾ */

/* ήɤޤϢ񤹤ήɻξ */
#define dealer_continued(s) \
((s) & (bit(STATUS_4_WINDS) | bit(STATUS_4_QUADRUPLETS) | bit(STATUS_4_PEOPLE_READY) |\
	bit(STATUS_CONTINUE_DEALER)))

typedef int event_t;

#define ACTION_SUSPEND			( 0 << 24)
#define ACTION_DEAL			( 1 << 24)
#define ACTION_DRAW			( 2 << 24)
#define ACTION_READY			( 3 << 24)
#define ACTION_DISCARD			( 4 << 24)
#define ACTION_WIN			( 5 << 24)
#define ACTION_PASS			( 6 << 24) 
#define ACTION_CONTENTION		( 7 << 24)
#define ACTION_ROB			( 8 << 24) 
#define ACTION_QUADRUPLE		( 9 << 24)
#define ACTION_AFTER_QUADRUPLET_LIFTING	(10 << 24)
#define ACTION_AFTER_QUADRUPLET		(11 << 24)
#define ACTION_ROUND_OVER		(12 << 24)
#define NOTIFY_DISCARD			(13 << 24)
#define REPLY_WIN			(14 << 24)
#define REPLY_NEXT			(15 << 24)
#define REPORT_WINNING			(16 << 24)
#define REPORT_OK			(17 << 24)
#define ACTION_BEGINNING_ROUND		(18 << 24)

#define action_of(e)			((e) & 0xff000000)
#define pid_of(e)			((e) >>  8 & 0xff)
#define permission_of(e)		((e) >> 16 & 0xff)

#define make_event(pid, n, t, a)	((a) | (n) | (pid) << 8 | (t) << 16)

#define event_drawing(pid)		make_event(pid, 0, 0, ACTION_DRAW)
#define event_ready(pid, n)		make_event(pid, n, 0, ACTION_READY)
#define event_discard(pid, n)		make_event(pid, n, 0, ACTION_DISCARD)
#define event_pass(pid, n)		make_event(pid, n, 0, ACTION_PASS)
#define event_contention(pid, n)	make_event(pid, n, 0, ACTION_CONTENTION)
#define event_winning(pid, n)		make_event(pid, n, 0, ACTION_WIN)
#define event_robbing(pid, n, t)	make_event(pid, n, t, ACTION_ROB)
#define event_quadruple(pid, n)		make_event(pid, n, 0, ACTION_QUADRUPLE)
#define event_after_quadruplet(pid)	make_event(pid, 0, 0, ACTION_AFTER_QUADRUPLET)
#define event_after_quadruplet_lifting(pid, n) \
				make_event(pid, n, 0, ACTION_AFTER_QUADRUPLET_LIFTING)

#define event_notify_discard(pid, n, t)	make_event(pid, n, t, NOTIFY_DISCARD)
#define reply_winning(pid, n)		make_event(pid, n, 0, REPLY_WIN)
#define event_report_winning(pid, n)	make_event(pid, n, 0, REPORT_WINNING)

#endif /* event_H */
