/*-
 * Copyright (c) 1999 Morita Shinya.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *	$Id: graphics.h,v 1.2 1999/11/10 04:54:36 shinmaru Exp $
 */

#ifndef graphics_H
#define graphics_H

#include "mahjong.h"

extern int setup_graphics(void);

extern void put_tile(int x, int y, int tid);
extern void repaint_handrail(int pid);
extern void repaint_bucket(int pid);
extern void repaint_all(void);
extern void invert_rectangle(rectangle_t *r);
extern void clear_rectangle(int x, int y, int width, int height);

extern void beep(void);

extern void report_dialog(const char *text);
extern void score_dialog(const int *bill);

extern void button1_down(int x, int y);
extern void button2_down(int x, int y);
extern void button3_down(int x, int y);
extern void pointer_move(int x, int y);

extern void set_highlight(rectangle_t *r);
extern void set_screening(rectangle_t *r);
extern void set_selection(rectangle_t *r);

#define reset_highlight() (set_highlight(NULL))
#define reset_screening() (set_screening(NULL))
#define reset_selection() (set_selection(NULL))

extern void show_selection(void);

extern void open_hand(int pid);
extern void open_wall(void);

extern const dimension_t image_size[MAX_SURFACE][MAX_DIRECTION];
extern const rectangle_t layout_deck;
extern const rectangle_t layout_wall;
extern const rectangle_t layout_hand[MAX_DIRECTION];
extern const rectangle_t layout_bucket[MAX_DIRECTION];
extern const rectangle_t layout_ready[MAX_DIRECTION];
extern const rectangle_t layout_yagamo[MAX_DIRECTION];

#endif /* graphics_H */
