/*-
 * Copyright (c) 1999 Morita Shinya.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *	$Id: hand.h,v 1.1.1.1 1999/11/05 01:55:18 shinmaru Exp $
 */

#ifndef hand_H
#define hand_H

/*
 * 
 */

#define NO_TERMINALS			0	/* 䥪 */
#define ALL_SEQUENCES			1	/* ʿ */
#define STRAIGHT_SEQUENCES		2	/* 쵤̴ */
#define SISTER_SEQUENCES		3	/* ָ */
#define DUAL_SISTER_SEQUENCES		4	/* ָ */
#define ALL_TERMINALS			5	/*  */
#define ALL_TERMINALS_WITH_NO_HONORS	6	/*  */
#define ALL_PRIMARIES			7	/* ϷƬ */
#define ALL_PRIMARIES_WITH_NO_HONORS	8	/* ϷƬ */
#define EQUAL_SEQUENCES_IN_THREE_SUITS	9	/* Ʊ */
#define EQUAL_TRIPLETS_IN_THREE_SUITS	10	/* Ʊ */
#define THREE_CONCEALED_TRIPLETS	11	/* Ź */
#define FOUR_CONCEALED_TRIPLETS		12	/* ͰŹ */
#define THREE_QUADRUPLETS		13	/* ʻ */
#define FOUR_QUADRUPLETS		14	/* ʻ */
#define ALL_TRIPLETS			15	/* С */
#define SEVEN_PAIRS			16	/* л */
#define ONE_SUIT			17	/* 쿧 */
#define ONE_SUIT_WITH_NO_HONORS		18	/* 쿧 */
#define ALL_GREENS			19	/* а쿧 */
#define ALL_HONORS			20	/* 쿧 */
#define MINOR_THREE_DRAGONS		21	/*  */
#define MAJOR_THREE_DRAGONS		22	/* 绰 */
#define MINOR_FOUR_WINDS		23	/* ʹ */
#define MAJOR_FOUR_WINDS		24	/* ʹ */
#define NINE_LANTERNS			25	/* Ϣ */
#define THIRTEEN_ORPHANS		26	/* ̵ */

#define TOTALLY_CONCEALED		0	/*  */
#define DECLARED_READY			1	/* Ωľ */
#define DECLARED_READY_DOUBLED		2	/* ֥Ωľ */
#define WINNING_IMMEDIATELY		3	/* ȯ */
#define UNDER_THE_SEA			4	/* η */
#define UNDER_THE_RIVER			5	/*  */
#define ROBBING_A_QUADRUPLET		6	/*  */
#define WINNING_AFTER_A_QUADRUPLET	7	/* 峫 */
#define EARTHLY_HAND			8	/*  */
#define HEAVENLY_HAND			9	/* ŷ */

#endif /* hand_H */
