/*-
 * Copyright (c) 1999 Morita Shinya.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *	$Id: option.c,v 1.3 1999/11/10 04:54:37 shinmaru Exp $
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

int option_silence;
int option_wait;
int option_batch;
int option_stupid;
int repeat_count;
unsigned random_seed;

const char *DEFAULT_FONT_LIST = "-*-fixed-medium-r-normal--16-*-*-*-c-*-*-*";

void parse_args(int argc, char *argv[])
{
  int i;

  random_seed = (unsigned)time(NULL);

  for (i = 1; i < argc; i++) {
    if (strcmp(argv[i], "-nowait") == 0) {
      option_wait = 0;
    }
    else if (strcmp(argv[i], "-batch") == 0) {
      option_batch = 1;
    }
    else if (strcmp(argv[i], "-stupid") == 0) {
      option_stupid = 1;
    }
    else if (strcmp(argv[i], "-repeat") == 0) {
      if (++i < argc) {
	sscanf(argv[i], "%d", &repeat_count);
      }
    }
    else if (strcmp(argv[i], "-seed") == 0) {
      if (++i < argc) {
	sscanf(argv[i], "%x", &random_seed);
      }
    }
    else
      fprintf(stderr, "Unknown option: %s\n", argv[i]);
  }
  if (option_batch)
    option_wait = 0;
}
